Bug 1478274 - notification_format in nova.conf should be set to unversioned as there is no consumer for versioned
notification_format in nova.conf should be set to unversioned as there is no ...
Status: POST
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity medium
: ---
: 11.0 (Ocata)
Assigned To: Sven Anderson
Gurenko Alex
: Triaged, ZStream
Depends On:
Blocks: 1381612
  Show dependency treegraph
 
Reported: 2017-08-04 03:25 EDT by Martin Schuppert
Modified: 2018-01-16 14:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3139721 None None None 2017-08-04 04:38 EDT
OpenStack gerrit 494628 None None None 2017-08-17 12:14 EDT

  None (edit)
Description Martin Schuppert 2017-08-04 03:25:38 EDT
Description of problem:

With OSP11 the default for notification_format is both:

# Specifies which notification format shall be used by nova.
#
# The default value is fine for most deployments and rarely needs to be changed.
# This value can be set to 'versioned' once the infrastructure moves closer to
# consuming the newer format of notifications. After this occurs, this option
# will be removed (possibly in the "P" release).
#
# Possible values:
# * unversioned: Only the legacy unversioned notifications are emitted.
# * versioned: Only the new versioned notifications are emitted.
# * both: Both the legacy unversioned and the new versioned notifications are
#   emitted. (Default)
#
# The list of versioned notifications is visible in
# http://docs.openstack.org/developer/nova/notifications.html
#  (string value)
# Allowed values: unversioned, versioned, both
# Deprecated group;name - DEFAULT;notification_format
#notification_format=both

As a result messages get sent to both unversioned and versioned queues, but there is no consumer for the versioned_notifications queues. As a result they grow up slowly:

# rabbitmqctl list_queues name consumers messages| grep notifications
notifications.error     3       0
notifications.warn      3       0
notifications.debug     3       0
notifications.critical  3       0
notifications.sample    3       0
notifications.audit     3       0
versioned_notifications.info    0       26
notifications.info      3       0

For now notification_format should be set to unversioned as default on controllers and computes.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install OSP11
2. start / stop some instances
3. versioned_notifications.info start to grow and there is no consumer

Actual results:


Expected results:


Additional info:

Could be done like this using ExtraConfig sections until the default changed.
    ControllerExtraConfig:
        nova::config::nova_config:
            notifications/notification_format:
                value: 'unversioned'
    NovaComputeExtraConfig:
        nova::config::nova_config:
            notifications/notification_format:
                value: 'unversioned'

Note You need to log in before you can comment on or make changes to this bug.